Bug 962322 (CVE-2013-2072) - CVE-2013-2072 xen: Buffer overflow in xencontrol Python bindings affecting xend
Summary: CVE-2013-2072 xen: Buffer overflow in xencontrol Python bindings affecting xend
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2013-2072
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 964241
Blocks: 962327
TreeView+ depends on / blocked
 
Reported: 2013-05-13 08:07 UTC by Petr Matousek
Modified: 2021-02-17 07:42 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-05-13 08:10:30 UTC


Attachments (Terms of Use)

Description Petr Matousek 2013-05-13 08:07:41 UTC
The Python bindings for the xc_vcpu_setaffinity call do not properly check their inputs. Systems which allow untrusted administrators to configure guest vcpu affinity may be exploited to trigger a buffer
overrun and corrupt memory.

An attacker who is able to configure a specific vcpu affinity via a toolstack which uses the Python bindings is able to exploit this issue.

Exploiting this issue leads to memory corruption which may result in a DoS against the system by crashing the toolstack. The possibility of code execution (privilege escalation) has not been ruled out.

The xend toolstack passes a cpumap to this function without sanitization. xend allows the cpumap to be configured via the guest configuration file or the SXP/XenAPI interface. Normally these interfaces are not considered safe to expose to non-trusted parties. However systems which attempt to allow guest administrator control of VCPU affinity in a safe way via xend may expose this issue.

Acknowledgements:

This issue was discovered by Paolo Bonzini and Laszlo Ersek of Red Hat.

Comment 2 Petr Matousek 2013-05-13 08:10:30 UTC
Statement:

Not vulnerable.

This issue does not affect the versions of the xen package as shipped with Red Hat Enterprise Linux 5.

Comment 3 Petr Matousek 2013-05-17 15:50:50 UTC
Created xen tracking bugs for this issue

Affects: fedora-all [bug 964241]


Note You need to log in before you can comment on or make changes to this bug.